Skip to main content
POST
/
tds
/
compliance
/
traces
/
deductors
/
forms
/
{certificate_type}
/
status
Poll Certificate Job Status
curl --request POST \
  --url https://api.sandbox.co.in/tds/compliance/traces/deductors/forms/{certificate_type}/status \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "@entity": "<string>",
  "username": "<string>",
  "password": "<string>",
  "tan": "<string>"
}
'
{
  "code": 200,
  "timestamp": 1716870600000,
  "transaction_id": "f24cd229-42c8-43de-af79-8ce2d3c4c3db",
  "data": {
    "@entity": "in.co.sandbox.tds.compliance.certificate.job",
    "job_id": "52a52404-0b10-4029-acda-967eebcd5bce",
    "tan": "AHMA09719B",
    "quarter": "Q4",
    "form": "26Q",
    "financial_year": "FY 2023-24",
    "status": "created",
    "remember_me": true,
    "created_at": 1716870600000
  }
}

Headers

Authorization
string
required

JWT access token

x-api-key
string
required

API key for identification

x-api-version
string

Path Parameters

certificate_type
enum<string>
required
Available options:
form16,
form16a

Query Parameters

job_id
string
required

Check job status of Download Form16

Body

application/json
@entity
string
required
username
string
password
string
tan
string

Response

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object